@charset "utf-8";

body{
	width:100%;
	overflow:scroll;
	font-family: "メイリオ", sans-serif;:w;
}

label{
  cursor:pointer;
  display:block;
}

th {
  white-space:nowrap;
}
/*タイトル*/
.title{
	font-size:2em;
	width:100%;
	text-align:center;
	position:relative;
}

/*ラッパー*/
.wrapper{
  width:100%;
  text-align:center;
}

/*フッター*/
.footer{
  height: 100px;
  border-bottom: 1px solid;
}
/*テーブル*/
.in-table{
	text-align:center;
	vertical-align:middle;
	border: solid 1px lightgray;
  padding: 10px;
  margin: auto;
	border-radius: 3px; /*ボックス角の丸み*/
  overflow-x: auto;
}
.in-td1{
	text-align:left;
	vertical-align:bottom;
	padding:5px;
}
.in-td2{
	text-align:center;
	vertical-align:middle;
	border: solid 1px #000000;
}
.header1{
	text-align:center;
	vertical-align:middle;
	background-color:#DCDDDD;
}

.header2{
	font-size:11px;
	text-align:center;
	vertical-align:middle;
	background-color:#61C1B2;
}

/*テキスト入力*/
.text1{
  width: 100%; /*親要素いっぱい広げる*/
  padding: 10px 15px; /*ボックスを大きくする*/
  font-size: larger;
  border-radius: 3px; /*ボックス角の丸み*/
  border: 2px solid #ddd; /*枠線*/
  box-sizing: border-box; /*横幅の解釈をpadding, borderまでとする*/
}
.text1:read-only {
  opacity: 0.5;
  pointer-events: none;
}
.text1:focus {
  border: 2px solid #27acd9; 
  z-index: 10;
  outline: 0;
}
input:user-valid {
  border:2px solid green;
}
input:user-invalid {
  border:2px solid red;
}
input span::after {
  display: inline-block;
  width: 8px;
  height: 8px;
}
/* input欄の次のspan valid */
input:user-valid ~ span::after {
  font-size: 11px;
  content: "入力済み";
  color: green;
}
/* input欄の次のspan invalid */
input:user-invalid ~ span::after {
  font-size: 11px;
  content: "入力して下さい";
  color: red;
}
/* text1の次のspan readonly */
.text1:read-only ~ span::after {
  font-size: 11px;
  content: "入力不要";
  color: green;
}
.date1{
	width: 100%; /*親要素いっぱい広げる*/
	padding: 10px 15px; /*ボックスを大きくする*/
	font-size: larger;
	border-radius: 3px; /*ボックス角の丸み*/
	border: 2px solid #ddd; /*枠線*/
	box-sizing: border-box; /*横幅の解釈をpadding, borderまでとする*/
	font-family: "メイリオ", sans-serif;
}

/*プルダウン*/
.select1 {
  width: 100%; /*親要素いっぱい広げる*/
  padding: 10px 15px; /*ボックスを大きくする*/
  font-size: larger;
  border-radius: 3px; /*ボックス角の丸み*/
  border: 2px solid #ddd; /*枠線*/
  box-sizing: border-box; /*横幅の解釈をpadding, borderまでとする*/
  font-family: "メイリオ", sans-serif;
}
/*チェックボックス*/
.chk1 {
  width:10%;
  margin:auto;
  transform: scale(1.3);
}

/*ボタン*/
.btn1{
	font-size:12px;
	text-align:center;
	vertical-align:middle;
	border-radius: 3px; /*ボックス角の丸み*/
  padding: 5px;
  cursor: pointer;
}
.btn2{
	font-size: larger;
	text-align: center;
	vertical-align: middle;
	text-decoration: none;
	width: 120px;
	margin: auto;
	padding: 1rem 1rem;
	font-weight: bold;
	border: 2px solid #27acd9;
	background: #27acd9;
	color: #fff;
	transition: 0.5s;
	border-radius: 6px; /*ボックス角の丸み*/
  cursor: pointer;
}
.btn2:hover {
	color: #27acd9;
	background: #fff;
}
.btn2:disabled{
  opacity: 0.3;
  pointer-events: none;
}
/*カラー説明ブロック用*/
.colors{
	font-size:14px;
	color:white;
	border:none;
	width:100%;
	margin:0 auto; /*センタリング*/
}

/*コア説明ブロック用*/
.cores{
	font-size:14px;
	color:black;
	border:none;
	width:100%;
	margin:0 auto; /*センタリング*/
}
/*空行*/
.space1{
	width:100%;
	height:10px;
}

/* レスポンシブ */
@media screen and (min-width: 768px) {
  .in-table {
    width: 50%;
  }
}
